#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
Summary:	Simple DirectMedia Layer Perl
Summary(pl.UTF-8):	Interfejs Simple DirectMedia Layer dla Perla
Name:		perl-SDL
Version:	2.1.3
Release:	19
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DG/DGOEHRIG/SDL_Perl-%{version}.tar.gz
# Source0-md5:	6ce26e1b710ce52def4ec22637cd5176
Patch0:		%{name}-gfxPie.patch
Patch1:		%{name}-no-mixertest.patch
URL:		http://search.cpan.org/dist/SDL_Perl/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_gfx-devel >= 2.0.10
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-YAML
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	smpeg-devel
Provides:	perl(SDL::OpenGL)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_perl is a package of perl modules that provides both functional
and object orient interfaces to the Simple DirectMedia Layer for Perl
5. This package does take some liberties with the SDL API, and
attempts to adhere to the spirit of both the SDL and Perl.

%description -l pl.UTF-8
SDL_perl to pakiet z modułami Perla udostępniający z poziomu Perla
interfejsy zarówno funkcjonalne, jak i zorientowane obiektowo do
biblioteki SDL (Simple DirectMedia Layer). Pakiet przejmuje trochę
swobody z API SDL i próbuje się dopasować do idei SDL oraz Perla.

%prep
%setup -q -n SDL_Perl-%{version}
%patch0 -p0
%patch1 -p1

mv t/mixerpm.t{,.blah}	# requires audio device

%build
%{__perl} Build.PL \
	installdirs=vendor \
	perl=%{__perl} \
	destdir=$RPM_BUILD_ROOT \
	config='optimize=%{rpmcflags}' \
	config='lddlflags=-shared %{rpmldflags}'
./Build

# <sigh> I don't know why but for some reason these dirs get put under
# blib/arch/auto/src instead of blib/arch/auto causing them to be installed
# in the wrong location and "./Build test" to fail. We copy them because if
# we move them the next call to ./Build will recreate them in the wrong
# location anyways. Unfortunatly with the copy the wrong located originals
# will also end up getting installed so we must remove those in %%install
cp -r blib/arch/auto/src/SDL* blib/arch/auto

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install
rm -rf $RPM_BUILD_ROOT%{perl_vendorarch}/auto/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGELOG TODO README
%{_mandir}/man3/*
%{perl_vendorarch}/SDL*.pm
%{perl_vendorarch}/SDL
%dir %{perl_vendorarch}/auto/SDL
%dir %{perl_vendorarch}/auto/SDL_perl
%attr(755,root,root) %{perl_vendorarch}/auto/SDL_perl/SDL_perl.so
%dir %{perl_vendorarch}/auto/SDL/OpenGL
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/OpenGL/OpenGL.so
%dir %{perl_vendorarch}/auto/SDL/SFont
%attr(755,root,root)%{perl_vendorarch}/auto/SDL/SFont/SFont.so
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-SDL.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 680123f
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ed34415
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> f17b56c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 24a4329
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a741edb
- rebuild with perl 5.30.0
- release 16 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> b602fc8
- rebuild with perl 5.28.0
- release 15 (by relup.sh)

* Mon Jul 10 2017 Jan Rękorajski <baggins@pld-linux.org> 6358ea7
- rebuild with SDL_gfx 2.0.26
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bab6089
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2f9aa31
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 6780b27
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6ebff32
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 61576b9
- x32 rebuild
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0b3b2e6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2b25921
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 69f9dfd
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fc726c
- release 6

* Thu May 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> c13a50e
- release 5

* Sat Jan 10 2009 radek <radek@pld-linux.org> 030fee4
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9115cff
- release 3

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 0643718
- rel.2

